package com.ruoyi.web.stock.service;

import com.ruoyi.web.stock.domain.WarehouseBase;
import com.ruoyi.web.stock.domain.vo.StockOptionVo;

import java.util.List;

/**
 * 仓库基础设置 Service。
 */
public interface IWarehouseBaseService {
    WarehouseBase selectById(Long id);

    List<WarehouseBase> selectList(WarehouseBase query);

    int insert(WarehouseBase entity);

    int update(WarehouseBase entity);

    int removeById(Long id);

    List<StockOptionVo> listOptions(String orgId);

    boolean checkWarehouseNoUnique(WarehouseBase entity, String orgId);

    boolean checkWarehouseNoValid(String warehouseNo);
}
